#!/bin/bash

if [ $# -ne 2 ]
 then
  echo "Attenzione questo script richiede esattamente due argomenti"
  exit 1
fi

if [ ! -f "$1" -o ! -r "$1" ]
 then
  echo "Attenzione $1 non e' un regular file o non e' leggibile"
  exit 1
fi

if [ ! -f "$2" -o ! -r "$2" ]
 then
  echo "Attenzione $2 non e' un regular file o non e' leggibile"
  exit 1
fi

diff $1 $2 &> /dev/null

ESITO=$?

if [ $ESITO -ne 0 ]
 then
  echo "I file $1 e $2 sono diversi"
  exit 0
fi

CONTA=0


while [ "$ESITO" -eq 0 -a "$CONTA" -le 10 ]
 do
  sleep 1
  CONTA=$(expr $CONTA + 1)
  diff $1 $2 &> /dev/null
  ESITO=$?
  if [ $ESITO -ne 0 ]
   then
    echo "I file $1 e $2 sono diventati diversi dopo $CONTA secondi"
  fi
 done

if [ $ESITO -eq 0 ]
 then
  echo "I file $1 e $2 erano e sono ancora uguali"
fi